---

{{- if ne 0 (len (secrets "[[ .vault.root ]]kv/service/traefik/certs/")) }}
tls:
  certificates:
{{- range secrets "[[ .vault.root ]]kv/service/traefik/certs/" }}
{{- $cn := . }}
{{- with secret (printf "[[ .vault.root ]]kv/service/traefik/certs/%s" $cn) }}
    # {{ $cn }}
    - certFile: |-
{{ .Data.data.cert | replaceAll "\n\n" "\n" | indent 8 }}
      keyFile: |-
{{ .Data.data.key | indent 8 }}
{{- end }}
{{- end }}
{{- end }}
