---

{{ if gt (len (secrets "[[ .vault.root ]]kv/service/[[ .instance ]]/basicauth/")) 0 }}
http:
  middlewares:
  {{- range secrets "[[ .vault.root ]]kv/service/[[ .instance ]]/basicauth/" }}
    basicauth-{{ . }}:
      basicAuth:
        realm: {{ . }}
        removeheader: true
        users:
    {{- with secret (printf "[[ .vault.root ]]kv/data/service/[[ .instance ]]/basicauth/%s" .) }}
      {{- range $k, $v := .Data.data }}
          - {{ $k }}:{{ if $v | regexMatch "^\\$2y\\$" }}{{ $v }}{{ else }}{{ sprig_bcrypt $v }}{{ end }}
      {{- end }}
    {{- end }}
  {{- end }}
{{- end }}
