---

{{ if ne 0 (len (ls "common/ip")) }}
http:
  middlewares:
{{ range ls "common/ip" }}
    ip-{{ .Key }}:
      ipAllowList:
        sourceRange:{{ range .Value | parseYAML }}
{{- if . | regexMatch "^include:.*" }}
          # Include IP from {{ . | replaceAll "include:" "" }}
{{- range key (printf "common/ip/%s" . | replaceAll "include:" "") | parseYAML }}
          - {{ . }}{{ end }}
{{- else }}
          - {{ . }}{{ end }}{{ end }}
{{ end }}

tcp:
  middlewares:
{{ range ls "common/ip" }}
    ip-{{ .Key }}:
      ipAllowList:
        sourceRange:{{ range .Value | parseYAML }}
{{- if . | regexMatch "^include:.*" }}
          # Include IP from {{ . | replaceAll "include:" "" }}
{{- range key (printf "common/ip/%s" . | replaceAll "include:" "") | parseYAML }}
          - {{ . }}{{ end }}
{{- else }}
          - {{ . }}{{ end }}{{ end }}
{{ end }}
{{ end }}
